Correzione: errore di compilazione degli script di Witcher 3

Consigli: Clicca Qui Per Correggere Gli Errori Di Windows E Ottimizzare Le Prestazioni Del Sistema

The Witcher 3: Wild Hunt è un gioco di ruolo d'azione open world del 2015 sviluppato da CD Projekt. Il gioco è un sequel di Witcher 2 ed è la terza aggiunta alla serie. Alla sua uscita, il gioco è stato molto apprezzato per la sua grafica straordinaria e il mondo aperto. Inoltre, la trama ben scritta e le missioni secondarie lo rendono un gioco ancora più sorprendente da giocare.

Script Compilation Error Witcher 3

Molte mod sono diventate disponibili anche per il gioco, ma recentemente sono stati segnalati molti " errori di compilazione degli script " che si verificano quando si applicano determinate mod al gioco. In questo articolo, discuteremo le cause dell'errore e proveremo a risolverle passo dopo passo.

Quali sono le cause dell'errore di compilazione degli script?

L'errore si verifica solo se si tenta di utilizzare le mod nel gioco, potrebbero esserci due diverse cause all'errore

  • Versioni Mod: la versione delle mod che stai tentando di installare potrebbe essere "1.30" e la versione di GOTY è "1.31". Anche se non si verificano errori di compilazione degli script, potresti comunque riscontrare un problema con il gameplay perché la versione "1.30" delle mod ha solo la precedenza su alcune delle funzionalità della versione "GOTY 1.31" del gioco.
  • Conflitti di mod: se hai installato più di una mod, potrebbero essere in conflitto tra loro, specialmente se hanno versioni diverse, cioè se una versione della mod è 1.30 e l'altra è 1.31, potrebbero causare conflitti tra loro.

Le soluzioni a questi problemi saranno discusse di seguito e faremo in modo che tu possa utilizzare tutte le tue mod con il tuo gioco senza alcun problema.

Soluzione 1: aggiornamento di mod e gioco.

Come abbiamo discusso in precedenza se il tuo gioco Witcher 3 è aggiornato all'ultima edizione di GOTY e le mod che stai utilizzando sono della "versione 1.30", potresti vedere un errore di compilazione degli script o avere problemi con alcune funzionalità del gioco. Inoltre, se il tuo gioco non è nella versione “1.30” o “1.31” anche allora questi problemi possono sorgere durante il modding. Per risolvere questo problema

  1. Prima di tutto, installa il gioco base
  2. Scarica qui la patch del primo giorno
  3. Allo stesso modo, scarica la " Patch 1.10 " qui
  4. Scarica qui la patch 1.22
  5. Scarica qui la patch 1.24
  6. Scarica qui la patch 1.30
  7. Scarica qui la patch 1.31
  8. Dopo aver scaricato tutte le patch, inserirle tutte in una cartella.
  9. Per prima cosa installa la patch 1 giorno, per fare ciò basta fare doppio clic su patch.exe

    Fare doppio clic sulla patch del primo giorno
  10. Questo aprirà un pop-up Fai clic su Aggiorna

    Facendo clic su Aggiorna
  11. Ciò installerà automaticamente la patch del primo giorno per il tuo gioco.
  12. Ripeti questo processo per tutte le altre patch (installale tutte in ordine)
  13. Al termine, il gioco sarà stato aggiornato alla versione 1.31 e ora potresti esserti sbarazzato degli errori di compilazione degli script dovuti alla versione del gioco.
  14. Ora assicurati che le mod che stai scaricando siano della versione 1.31 affinché funzionino correttamente.

Nota: saltare il passaggio 14 se non si desidera scaricare di nuovo ciascuna mod e provare la seconda soluzione.

Questo processo dovrebbe risolvere tutti i conflitti relativi alla versione all'interno delle mod e con il gioco se l'errore persiste, dovresti passare alla nostra prossima soluzione.

Soluzione 2: applicazione della patch di unificazione.

Se non vuoi aggiornare le tue mod e le mod e i giochi hanno versioni diverse rispetto a quelle dovresti applicare la Unification Patch rilasciata in seguito per risolvere questi conflitti. Di seguito applicheremo la patch passo dopo passo.

  1. Vai qui e scarica la patch di Unification
  2. Una volta scaricato, copia sia il " Contenuto" che le " Mod" nella cartella del gioco.

    Copia del contenuto e della cartella mod
  3. Assicurati di selezionare Copia e sostituisci.

Nota: assicurati di aggiornare il gioco all'ultima versione prima di applicare questa soluzione, il processo è stato spiegato nella soluzione precedente.

Soluzione 3: unione di script mod

Non tutte le mod di Witcher 3 sono compatibili tra loro e talvolta causano conflitti che causano l'errore di compilazione degli script. Risolveremo questo problema utilizzando un software che consente di unire gli script e risolvere i conflitti che seguiremo nel processo passo dopo passo.

  1. Scarica la fusione degli script
  2. Esegui la fusione degli script

    Esecuzione di Script Manager
  3. Seleziona la tua directory di Witcher 3 facendo clic su " ... "

    Selezione della directory di Witcher 3
  4. Ora fai clic su Aggiorna in Conflicts e ti dirà i conflitti nelle mod.

    Facendo clic su Aggiorna
  5. Ora seleziona le Mod e fai clic su Unisci script selezionato

    Facendo clic su Unisci script selezionato
  6. Ora ti dirà il numero di conflitti negli script e quelli che ha risolto automaticamente anche quelli che devono essere risolti manualmente. Clicca su OK

    Cliccando su OK
  7. Ora, come puoi vedere nelle prime parole A, B e C sono visibili, sono i nomi delle tre colonne. Inoltre, sotto puoi vedere la colonna di output

    Le colonne all'interno del gestore degli script
  8. Le linee gialle indicano i conflitti che richiedono di essere risolti manualmente, quindi per risolvere quelli sulla colonna di output si scorre verso il basso e si cerca la linea che dice Unisci colonna ed è evidenziata in giallo e fare clic destro su di essa, ora dobbiamo vedere nelle colonne A, B e C e vedere in quale colonna il codice effettivo è evidenziato in giallo. In questo caso è nella colonna C.

    Utilizzando le linee dalla colonna C

    Quindi, facciamo clic su Seleziona linee da C

  9. Ora, come puoi vedere, le linee della colonna C sono state usate automaticamente e il conflitto è risolto ora fai clic su File e Salva

    Salvare le nostre modifiche
  10. Ora chiudi questa finestra e vedrai un messaggio che dice Unisci finito: fai clic su OK

    Cliccando su OK
  11. Ora il conflitto tra queste mod è stato risolto .

Nota: se si dispone di più di un conflitto manuale, ripetere la procedura sopra descritta fino alla risoluzione di tutti i conflitti

Questo processo risolve tutti i conflitti che sorgono tra gli script delle due mod unendo i loro script e assicurandoti che lo script unito ti consenta di utilizzare entrambe le mod insieme senza alcun conflitto. Assicurati di provare tutte le soluzioni in ordine perché, in caso contrario, potrebbe causare ancora più problemi con la sceneggiatura del gioco.

Articoli Interessanti